summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-08-18 16:18:16 -0400
committerJune McEnroe <june@causal.agency>2018-08-18 16:24:25 -0400
commit803f492b0ebb2f80dadbc00edd0b2a6a300a123f (patch)
tree7344ea06e0c8483c24d97aaacf5d08713259b4c9
parentRun {,s,t}up with /bin/sh (diff)
downloadsrc-803f492b0ebb2f80dadbc00edd0b2a6a300a123f.tar.gz
src-803f492b0ebb2f80dadbc00edd0b2a6a300a123f.zip
Run tf/cfg link script with /bin/sh
Diffstat (limited to '')
-rwxr-xr-xetc/tf/link.sh (renamed from etc/tf/link.zsh)4
1 files changed, 2 insertions, 2 deletions
diff --git a/etc/tf/link.zsh b/etc/tf/link.sh
index 7753517e..2c75d075 100755
--- a/etc/tf/link.zsh
+++ b/etc/tf/link.sh
@@ -1,5 +1,5 @@
-#!/usr/bin/env zsh
-set -o errexit -o nounset
+#!/bin/sh
+set -e -u
 
 tf="$HOME/Library/Application Support/Steam/steamapps/common/Team Fortress 2/tf"
 for cfg in cfg/*.cfg; do
aving historyJune McEnroe 2019-01-15Add sans8x16.psfJune McEnroe The symbols are still really bad... 2019-01-14Add guides to psfedJune McEnroe 2019-01-14Check for NULL copy or undo buffers in psfedJune McEnroe 2019-01-14Add cash.7 READMEJune McEnroe 2019-01-14Document old=new argument of fc -sJune McEnroe 2019-01-14Allow replacing empty string with fc old=newJune McEnroe 2019-01-13Enable warnings in libeditJune McEnroe 2019-01-13Show full path in RPS1June McEnroe 2019-01-13Shorten $HOME to ~ in prompt expansionJune McEnroe 2019-01-13Document PSlitJune McEnroe 2019-01-13Document PS0June McEnroe 2019-01-13Set PS0 in cashJune McEnroe 2019-01-13Add PS0June McEnroe 2019-01-13Change default ENV from cashrc to env.shJune McEnroe 2019-01-13Use colours in cash promptsJune McEnroe 2019-01-12Set PSlit like NetBSD shJune McEnroe 2019-01-12Install gnupg2 from pkgsrc and symlink gpgJune McEnroe 2019-01-12Reference cash builtin man pages in cash.1 SEE ALSOJune McEnroe 2019-01-12Restore cash builtin man page datesJune McEnroe 2019-01-12Use local libeditJune McEnroe 2019-01-12Replace libedit MakefileJune McEnroe 2019-01-11Import /usr/src/lib/libedit from NetBSD 8.0June McEnroe 2019-01-11Add PSlit for prompt escapesJune McEnroe 2019-01-11Don't make depend automaticallyJune McEnroe